org.apache.cassandra.thrift

## Class CASResult

- java.lang.Object
- - org.apache.cassandra.thrift.CASResult

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CASResult>, org.apache.thrift.TBase<CASResult,CASResult._Fields>

    public class CASResult
    extends java.lang.Object
    implements org.apache.thrift.TBase<CASResult,CASResult._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CASResult>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `CASResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`java.util.List<Column>` `current_values`
`static java.util.Map<CASResult._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`boolean` `success`

### Constructor Summary

Constructors
Constructor and Description
`CASResult()`
`CASResult(boolean success)`
`CASResult(CASResult other)` Performs a deep copy on other.

### Method Summary

Methods
`void` `addToCurrent_values(Column elem)`
`void` `clear()`
`int` `compareTo(CASResult other)`
`CASResult` `deepCopy()`
`boolean` `equals(CASResult that)`
`boolean` `equals(java.lang.Object that)`
`CASResult._Fields` `fieldForId(int fieldId)`
`java.util.List<Column>` `getCurrent_values()`
`java.util.Iterator<Column>` `getCurrent_valuesIterator()`
`int` `getCurrent_valuesSize()`
`java.lang.Object` `getFieldValue(CASResult._Fields field)`
`int` `hashCode()`
`boolean` `isSet(CASResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCurrent_values()` Returns true if field current_values is set (has been assigned a value) and false otherwise
`boolean` `isSetSuccess()` Returns true if field success is set (has been assigned a value) and false otherwise
`boolean` `isSuccess()`
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`CASResult` `setCurrent_values(java.util.List<Column> current_values)`
`void` `setCurrent_valuesIsSet(boolean value)`
`void` `setFieldValue(CASResult._Fields field, java.lang.Object value)`
`CASResult` `setSuccess(boolean success)`
`void` `setSuccessIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetCurrent_values()`
`void` `unsetSuccess()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### success

    public boolean success

#### current_values

    public java.util.List<Column> current_values

#### metaDataMap

    public static final java.util.Map<CASResult._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### CASResult

    public CASResult()

#### CASResult

    public CASResult(boolean success)

#### CASResult

    public CASResult(CASResult other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public CASResult deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<CASResult,CASResult._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<CASResult,CASResult._Fields>`

#### isSuccess

    public boolean isSuccess()

#### setSuccess

    public CASResult setSuccess(boolean success)

#### unsetSuccess

    public void unsetSuccess()

#### isSetSuccess

    public boolean isSetSuccess()

Returns true if field success is set (has been assigned a value) and false otherwise

#### setSuccessIsSet

    public void setSuccessIsSet(boolean value)

#### getCurrent_valuesSize

    public int getCurrent_valuesSize()

#### getCurrent_valuesIterator

    public java.util.Iterator<Column> getCurrent_valuesIterator()

#### addToCurrent_values

    public void addToCurrent_values(Column elem)

#### getCurrent_values

    public java.util.List<Column> getCurrent_values()

#### setCurrent_values

    public CASResult setCurrent_values(java.util.List<Column> current_values)

#### unsetCurrent_values

    public void unsetCurrent_values()

#### isSetCurrent_values

    public boolean isSetCurrent_values()

Returns true if field current_values is set (has been assigned a value) and false otherwise

#### setCurrent_valuesIsSet

    public void setCurrent_valuesIsSet(boolean value)

#### setFieldValue

    public void setFieldValue(CASResult._Fields field,
                     java.lang.Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<CASResult,CASResult._Fields>`

#### getFieldValue

    public java.lang.Object getFieldValue(CASResult._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<CASResult,CASResult._Fields>`

#### isSet

    public boolean isSet(CASResult._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<CASResult,CASResult._Fields>`

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(CASResult that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(CASResult other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<CASResult>`

#### fieldForId

    public CASResult._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<CASResult,CASResult._Fields>`

#### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TBase<CASResult,CASResult._Fields>`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TBase<CASResult,CASResult._Fields>`
Throws:
  `org.apache.thrift.TException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`